# Uses of Enum
com.fasterxml.jackson.core.type.WritableTypeId.Inclusion

Packages that use WritableTypeId.Inclusion
Package
Description
com.fasterxml.jackson.core.type
Contains classes needed for type introspection, mostly used by data binding functionality.

## Uses of WritableTypeId.Inclusion in com.fasterxml.jackson.core.type

Fields in com.fasterxml.jackson.core.type declared as WritableTypeId.Inclusion
Modifier and Type
Field
Description
`WritableTypeId.Inclusion`
WritableTypeId.`include`
Property used to indicate style of inclusion for this type id, in cases where no native type id may be used (either because format has none, like JSON; or because use of native type ids is disabled [with YAML]).
Methods in com.fasterxml.jackson.core.type that return WritableTypeId.Inclusion
Modifier and Type
Method
Description
`static WritableTypeId.Inclusion`
WritableTypeId.Inclusion.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static WritableTypeId.Inclusion[]`
WritableTypeId.Inclusion.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.